#ifndef XPATHNODETREEINFO_H
#define XPATHNODETREEINFO_H

#include "xasset.h"
#include "xpathnodetreenodes.h"

#include <QVector>

class XPathNodeTree;

class XPathNodeTreeInfo : public XAsset
{
public:
    explicit XPathNodeTreeInfo();
    ~XPathNodeTreeInfo();

    void ParseData(XDataStream *aStream) override;

    XPathNodeTree* GetChild(int index) const;
    void SetChild(int index, XPathNodeTree* child);

    const XPathNodeTreeNodes& GetNodes() const;
    void SetNodes(const XPathNodeTreeNodes& nodes);

private:
    QVector<XPathNodeTree*> mChildren;
    XPathNodeTreeNodes mNodes;
};

#endif // XPATHNODETREEINFO_H
